package com.perforce.hws.automation;

import java.io.IOException;

/**
 * Resets the system, removing most of our typical changes.
 */
public class Cleanup implements EnvironmentCleanup, IORunnable {

    private AutomationConfig automationConfig;

    @Override
    public AutomationConfig config() {
        return automationConfig;
    }

    public Cleanup() {
        automationConfig = new AutomationConfig();
    }

    @Override
    public void run() throws IOException {
        try {
            cleanUp();
        } catch (InterruptedException e) {
            throw new IllegalStateException(e);
        }
    }

    public static void main(String[] args) {
        try {
            Cleanup c = new Cleanup();
            c.run();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(666);
        }
    }
}
