package com.perforce.hws.automation;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.perforce.hws.util.ProcessHelpers;

import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;

/**
 * Created by tjuricek on 2/22/16.
 */
public class DeployRpmPackage implements ProcessHelpers, OsHelpers {

    static Logger logger = LoggerFactory.getLogger(DeployRpmPackage.class);

    public static void main(String args[]) {
        try {
            new DeployRpmPackage(args[0]).run();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    // This is a .tgz we generate to test
    String archivePath;

    public DeployRpmPackage(String archivePath) {
        this.archivePath = archivePath;
    }

    public void run() throws Exception {
        if (isLinux()) {
            execOrFail("tar", "-x", "-z", "-f", archivePath);

            Path pkg = Files.newDirectoryStream(Paths.get("."), "helix-web-services*.rpm").iterator().next();
            logger.info("Installing {}", pkg);

            execOrFail("rpm", "-i", pkg.toAbsolutePath().toString());
        } else {
            throw new IllegalStateException("OS not supported: " + osName());
        }
    }
}
