package com.perforce.hws.automation;

import java.io.IOException;

/**
 * Shut down all apps possibly launched by automation.
 */
public interface EnvironmentCleanup extends UsesAutomationConfig,
        ManageP4dMethods, FilesystemMethods, ManageHwsService,
        ManageMockRaymond, GitFusionManagement {

    default void cleanUp() throws IOException, InterruptedException {
        stopP4d();
        stopHWS();
        stopMockRaymond();

        if (isGitFusionInstalled()) {
            removeGitFusion();
        }

        deleteInstallationDir();
    }
}
