package com.perforce.hws.automation;

import java.io.IOException;
import java.nio.file.Path;
import java.nio.file.Paths;

/**
 * This runs our typical environment setup... but really does expect HWS
 * to be already running via HTTPS.
 */
public class InstallEnvironmentSetup extends BasicMainlineEnvironmentSetup {

    public InstallEnvironmentSetup() {
        super();
        config.setP4DVersion(AutomationConfig.P4DVersion.P2016_1);
        config.setLocalHws("https://localhost");

        Path installDir;
        if (isWindows()) {
            installDir = Paths.get("C:\\helix-web-services");
        } else {
            installDir = Paths.get("/opt/perforce/helix-web-services");
        }
        config.setInstallDir(installDir.toString());
        config.setLogDir(Paths.get(installDir.toString(), "log").toString());

        config.setHwsConfig(Paths.get(installDir.toString(), "etc", "hws.conf").toString());
        config.setHwsP4dConfigDir(Paths.get(installDir.toString(), "etc", "p4d").toString());
    }

    public static void main(String[] args) throws IOException {
        new InstallEnvironmentSetup().run();
    }

}
